> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Group Members

> Lists all members for a group



## OpenAPI

````yaml /services/playfab/api-references/rest/groups/groups.openapi.json post /Group/ListGroupMembers
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Groups API
  description: >-
    The Groups API is designed for any permanent or semi-permanent collections
    of Entities (players, or non-players). If you want to make
    Guilds/Clans/Corporations/etc., then you should use groups. Groups can also
    be used to make chatrooms, parties, or any other persistent collection of
    entities.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Groups
    description: Groups Management APIs
paths:
  /Group/ListGroupMembers:
    post:
      tags:
        - Groups
      summary: List Group Members
      description: Lists all members for a group
      operationId: ListGroupMembers
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListGroupMembersRequest'
        description: >-
          Gets a list of members and the roles they belong to within the group.
          If the caller does not have permission to view the role, and the
          member is in no other role, the member is not displayed. Returns a
          list of entities that are members of the group.
      responses:
        '200':
          $ref: '#/components/responses/ListGroupMembersResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    ListGroupMembersRequest:
      description: >-
        Gets a list of members and the roles they belong to within the group. If
        the caller does not have permission to view the role, and the member is
        in no other role, the member is not displayed. Returns a list of
        entities that are members of the group.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Group:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: ID of the group to list the members and roles for
      required:
        - Group
      example:
        Group:
          Id: ABC1234ABC
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    ListGroupMembersResponse:
      type: object
      properties:
        Members:
          description: The requested list of roles and member entity IDs.
          type: array
          items:
            $ref: '#/components/schemas/EntityMemberRole'
          x-isclass: true
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    EntityMemberRole:
      type: object
      properties:
        Members:
          description: The list of members in the role
          type: array
          items:
            $ref: '#/components/schemas/EntityWithLineage'
          x-isclass: true
        RoleId:
          description: The ID of the role.
          type: string
        RoleName:
          description: The name of the role
          type: string
    EntityWithLineage:
      description: >-
        Entity wrapper class that contains the entity key and the entities that
        make up the lineage of the entity.
      type: object
      properties:
        Key:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: The entity key for the specified entity
        Lineage:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: >-
            Dictionary of entity keys for related entities. Dictionary key is
            entity type.
  responses:
    ListGroupMembersResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ListGroupMembersResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [List Group Members](/services/playfab/api-references/rest/groups/groups/list-group-members.md)
- [PFGroupsListGroupMembersAsync](/services/playfab/api-references/c/pfgroups/functions/pfgroupslistgroupmembersasync.md)
- [PFGroupsListGroupMembersRequest](/services/playfab/api-references/c/pfgroupstypes/structs/pfgroupslistgroupmembersrequest.md)
- [PFGroupsListGroupMembersResponse](/services/playfab/api-references/c/pfgroupstypes/structs/pfgroupslistgroupmembersresponse.md)
- [PFGroupsListGroupMembersGetResult](/services/playfab/api-references/c/pfgroups/functions/pfgroupslistgroupmembersgetresult.md)
